<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	// zabezpieczenie przed znakami nowej linii w <meta>
	$_POST['wyszukiwarkiOpis']          = usunZnakNowejLinii($_POST['wyszukiwarkiOpis']);
	$_POST['wyszukiwarkiSlowaKluczowe'] = usunZnakNowejLinii($_POST['wyszukiwarkiSlowaKluczowe']);

	// ostrzeżenie przed zbyt długim opisem
	if ( mb_strlen($_POST['wyszukiwarkiOpis']) > 155 )
		komunikat('zle.Opis witryny jest zbyt długi. Nie powinien przekraczać 150 znaków.');
	elseif ( mb_strlen($_POST['wyszukiwarkiSlowaKluczowe']) > 100 )
		komunikat('zle.Słowa kluczowe witryny są zbyt długie. Nie powinnny przekraczać 100 znaków.');

	// te dwa ustawienia są potrzebne do porównania zmian (więc należy je zachować w stanie przed zapisem zapisKonfPOST()), ale generujMapeWitryny() potrzebuje już ustawień po zapisie zapisKonfPOST()
	$dotychczasMapaWitryny       = odczytKonf('mapaWitryny');
	$dotychczasMapaWitrynyStrony = odczytKonf('mapaWitrynyStrony');

    zapisKonfPOST();

	if ( $_POST['mapaWitryny'] != $dotychczasMapaWitryny or (isset($_POST['mapaWitrynyStrony']) and $_POST['mapaWitrynyStrony'] != $dotychczasMapaWitrynyStrony ) ) {

		if ( $_POST['mapaWitryny'] == 'nieTworz' ) {
			if ( file_exists('sitemap.xml') )
				unlink('sitemap.xml');
			komunikat('dob.Mapa witryny została usunięta.');
		}
		else {
			if ( !generujMapeWitryny() )
				komunikat('zle.Mapa witryny nie została utworzona lub zaktualizowana.');
			else
				komunikat('dob.Mapa witryny została utworzona lub zaktualizowana.');
		}

	}

	if ( !komunikat() )
		komunikat(1);

}

$listaIndeksowania = array ( '' => 'Indeksuj normalnie', 'index, nofollow' => 'Indeksuj, nie przechodź do odsyłaczy', 'index, noarchive' => 'Indeksuj, nie archiwizuj (tylko Google)', 'noindex, nofollow' => 'Nie indeksuj w ogóle' );
$listaMapyWitryny = array ( 'tworzAuto' => 'Twórz mapę witryny automatycznie', 'tworzWyjatki' => 'Umieść w mapie wszystkie strony prócz wyjątków', 'tworzTylkoWybrane' => 'Umieść w mapie tylko wybrane strony', 'nieTworz' => 'Nie twórz automatycznie mapy witryny' );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Informacje wyszukiwarek</h2>

<form method="post">

<h3>Domyślne informacje dla wyszukiwarek</h3>

<table>
	<tr> <td>Opis witryny:</td> <td><textarea name="wyszukiwarkiOpis"><?php echo odczytKonf('wyszukiwarkiOpis') ?></textarea></td> </tr>
	<tr> <td>Słowa kluczowe witryny:</td> <td><textarea name="wyszukiwarkiSlowaKluczowe"><?php echo odczytKonf('wyszukiwarkiSlowaKluczowe') ?></textarea></td> </tr>
</table>

<p class="informacja">Powyższe informacje można ustawić indywidualnie dla każdej strony. Opis ustawiony indywidualnie dla strony zastąpi opis witryny, zaś indywidualne słowa kluczowe zostaną dopisane do słów kluczowych witryny. Opis powinien mieć maksymalnie 160 znaków. Słówa kluczowe należy rozdzielić przecinkami.</p>

<h3>Pozostałe ustawienia</h3>

<table>
	<tr> <td>Sposób indeksowania przez wyszukiwarki:</td> <td><select name="indeksowanie"><?php generujListeWyboru( $listaIndeksowania, odczytKonf('indeksowanie') ) ?></select></td> </tr>
	<tr> <td>Mapa witryny w pliku <a href="sitemap.xml" target="_blank">sitemap.xml</a>:</td> <td><select name="mapaWitryny"><?php generujListeWyboru( $listaMapyWitryny, odczytKonf('mapaWitryny') ) ?></select></td> </tr>
	<?php if ( odczytKonf('mapaWitryny') == 'tworzTylkoWybrane' or odczytKonf('mapaWitryny') == 'tworzWyjatki' ) {  ?>
	<tr> <td>Identyfikatory stron <?php echo ( odczytKonf('mapaWitryny') == 'tworzTylkoWybrane' ) ? 'dodanych do mapy' : 'wykluczonych z mapy' ?>:</td> <td><textarea name="mapaWitrynyStrony"><?php echo odczytKonf('mapaWitrynyStrony') ?></textarea></td> </tr>
	<?php } ?>
</table>

<?php if ( odczytKonf('mapaWitryny') == 'tworzTylkoWybrane' or odczytKonf('mapaWitryny') == 'tworzWyjatki' ) { ?><p class="informacja">Identyfikatory stron <?php echo ( odczytKonf('mapaWitryny') == 'tworzTylkoWybrane' ) ? 'dodanych do mapy' : 'wykluczonych z mapy' ?> witryny rozdziel średnikiem. Podane powyżej identyfikatory nie będą automatycznie aktualizowane przy zmianie ustawień poszczególnych stron.</p><?php } ?>

<p class="przyciskWysylania"><input type="submit" value="Zapisz ustawienia" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');