<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( file_exists(DANE) ) {

	if ( file_exists(DANE.'/wtk/konfiguracja.wtk') )
		przekierowanie();

	else {
		define( 'BLEDY_KRYTYCZNE', 1 );
		trigger_error( 'Plik konfiguracyjny nie istnieje!', E_USER_WARNING );
	}

}

include( SYSTEM.'/funkcje/admin.php' );

// tymczasowa konfiguracja, sztuczny plik konfiguracja.wtk
pamiecPodreczna(
	array(
		'kontrastowyPanelAdmin' => '0',	'dodatkowyStylWPaneluAdmin' => '', 'tytul' => 'Instalacja',
		'przerwaTechniczna' => '0', 'bledyKrytyczne' => '1', 'jezykMarkdown' => '0',
		'typografiaInne' => '0', 'typografiaCudzyslowy' => '0', 'typografiaSpojniki' => '0',
		'adres' => '', 'panelAdminMenuTab' => '0', 'identyfikatorLogowania' => ''
	),
	'konfiguracja'
);

// plik ustawień instalacji
$ustawieniaInstalacji = ( file_exists('instalacja.wtk') ) ? unserialize( file_get_contents('instalacja.wtk') ) : array();

// określenie etapu instalacji
$etapInstalacji = ( isset($_POST['etapInstalacji']) ) ? $_POST['etapInstalacji'] : 0;

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	switch($etapInstalacji) {

		case 1:

			if ( !isset($_POST['licencja']) )
				komunikat('zle.Musisz zaakceptować postanowienia licencyjne, by kontynuować.');

			elseif ( !isset($_POST['przeslanieAdresu']) )
				komunikat('zle.Zezwól na przesłanie adresu twojej strony autorowi WizyTówki. W&nbsp;ten&nbsp;sposób pomożesz mu w pracach nad kolejnymi wersjami.');

			else
				$kontynuuj = true;

			break;

		case 2:

			if ( empty($_POST['administratorNazwa']) or empty($_POST['administratorHaslo'][1]) or empty($_POST['administratorHaslo'][2]) or empty($_POST['autor']) or empty($_POST['tytul']) or empty($_POST['email']) or empty($_POST['adres']) )
				komunikat('zle.Nie wypełniono wszystkich pól.');

			elseif ( $_POST['administratorHaslo'][1] != $_POST['administratorHaslo'][2] )
				komunikat('zle.Podane hasła nie są identyczne.');

			elseif ( !sprawdzAdres($_POST['adres']) )
				komunikat('zle.Podany adres witryny jest nieprawidłowy.');

			elseif ( !sprawdzEmail($_POST['email']) )
				komunikat('zle.Podany adres e-mail jest nieprawidłowy.');

			else {

				if ( substr($_POST['adres'],-1) == '/' )
					$_POST['adres'] = substr( $_POST['adres'], 0, -1 );

				include_once( SYSTEM . '/funkcje/password.php' );

				$_POST['administratorNazwa'] = password_hash( $_POST['administratorNazwa'], PASSWORD_BCRYPT );
				$_POST['administratorHaslo'] = password_hash( $_POST['administratorHaslo'][1], PASSWORD_BCRYPT );

				$_POST = bezpiecznyHTML($_POST);
				$kontynuuj = true;

			}

			break;

		default:
			$kontynuuj = true;

	}

	$ustawieniaInstalacji = array_merge($_POST,$ustawieniaInstalacji);
	if ( !$zapisPlikuTymczasowego = file_put_contents( 'instalacja.wtk', serialize($ustawieniaInstalacji) ) )
		komunikat('zle.Nie udało się zapisać pliku tymczasowego. Sprawdź uprawnienia zapisu głównego katalogu.');

	if ( $etapInstalacji == 4 ) {

	// INSTALACJA =======================================================

		// domyślna konfiguracja ----------------------------------------

		$przeczytajMnieMotywy = 'W tym folderze umieszczaj własne motywy lub zmodyfikowane przez siebie motywy wbudowane w system WizyTówka.' . "\n" . 'Nie wprowadzaj żadnych zmian w folderze system/motywy!' . "\n\n" . 'Aby zmodyfikować wbudowany w WizyTówkę motyw, kliknij odnośnik "Edytuj" na stronie "Motywy i personalizacja".';

		$przeczytajMnieTypy = 'W tym folderze umieszczaj własne typy zawartości stron lub zmodyfikowane przez siebie typy wbudowane w system WizyTówka.' . "\n" . 'Nie wprowadzaj żadnych zmian w folderze system/typy!';

		$stronaGlownaTytul = 'Witaj!';
		$stronaGlownaIdentyfikator = 'strona-glowna';

		$elementy = array(

			'obszary' => array(

				'obszarBoczny' => ($ustawieniaInstalacji['sposobEdycjiTekstu']=='jezykMarkdown') ? "To jest obszar boczny. Możesz tutaj umieścić swoje motto życiowe, odnośniki do ulubionych stron lub reklamę.   \nAby zmodyfikować ten obszar, w panelu administracyjnym przejdź do menu **Elementy**." : '<p>To jest obszar boczny. Możesz tutaj umieścić swoje motto życiowe, odnośniki do ulubionych stron lub reklamę.<br>Aby zmodyfikować ten obszar, w panelu administracyjnym przejdź do menu <strong>Elementy</strong>.</p>',

				'obszarDodatkowy' => ($ustawieniaInstalacji['sposobEdycjiTekstu']=='jezykMarkdown') ? 'Obszar dodatkowy jest domyślnie niewidoczny. Możesz go włączyć, zaznaczając odpowiednią opcję pod tym polem tekstowym.' : '<p>Obszar dodatkowy jest domyślnie niewidoczny. Możesz go włączyć, zaznaczając odpowiednią opcję pod tym polem tekstowym.</p>',

			),

			'menu' => array(
				'menuGlowne' => array( $stronaGlownaIdentyfikator ),
				'menuDodatkowe' => array(),
			),

			'tytulyStronMenu' => array(
				$stronaGlownaIdentyfikator => $stronaGlownaTytul,
			),

			'statystykiZewnetrzne' => ''

		);


		$statystyki = array(

			'suma' => 0,

			'dzisiaj' => array(
				'odwiedzajacych' => 0,
				'dataOstatniego' => time(),
				'waznoscDzisiaj' => mktime( 0, 0, 0, date('m'), date('d')+1, date('Y') )
			),

			'archiwum' => array(
				date('Y') => array(
					date('n') => 0
				)
			)

		);

		$konfiguracja = array(

			'administratorHaslo' => $ustawieniaInstalacji['administratorHaslo'],
			'administratorNazwa' => $ustawieniaInstalacji['administratorNazwa'],
			'adres' => $ustawieniaInstalacji['adres'],

			'adresPlikow' => DANE.'/pliki',

			'autor' => $ustawieniaInstalacji['autor'],
			'bledyKrytyczne' => (isset($ustawieniaInstalacji['bledyKrytyczne'])) ? '1' : '0',

			'dodatkowyStylWPaneluAdmin' => '',
			'dodatkowyStylWWitrynie' => '',
			'dokumentacjaUkryj' => '0',
			'domyslnyCzasLogowania' => 'jedenDzien',
			'domyslnyTypWPaneluAdmin' => '_zwyklaStrona',

			'dziennikBledow' => (isset($ustawieniaInstalacji['dziennikBledow'])) ? '1' : '0',
			'edytorPlikow' => (isset($ustawieniaInstalacji['edytorPlikow'])) ? '2' : '0',

			'edytorPlikowGlownyFolder' => DANE,
			'edytorPlikowOgraniczenia' => '1',
			'edytorPlikowPodswietlanieSkladni' => '1',
			'edytorWTK' => '0',

			'edytorWizualny' => ($ustawieniaInstalacji['sposobEdycjiTekstu']=='edytorWizualny') ? '1' : '0',

			'edytorWizualnyFormatowanie' => 'p;h3;h4;h5',
			'edytorWizualnyOgraniczHTML' => '0',
			'edytorWizualnyUkrytePrzyciski' => 'Anchor,Superscript,Subscript,JustifyBlock,BGColor,TextColor,Strike',
			'edytorWizualnyStylMotywu' => '1',
			'edytorWizualnyWlasny' => '0',
			'edytorWizualnyWysokosc' => '400',

			'email' => $ustawieniaInstalacji['email'],

			'formatDaty' => '%e.%m.%Y %H:%M:%S',
			'identyfikatorLogowania' => '',
			'ieHTML5Shiv' => '1',
			'indeksowanie' => '',

			'instalacja' => time(),
			'jezykMarkdown' => ($ustawieniaInstalacji['sposobEdycjiTekstu']=='jezykMarkdown') ? '1' : '0',

			'kolorDodatkowy1' => '#A8A8A8',
			'kolorDodatkowy2' => '#A8A8A8',
			'kolorTekstu' => '#000000',
			'kolorTla' => '#FFFFFF',
			'kontrastowyPanelAdmin' => '0',
			'kopiaZapasowaOstatnia' => '',
			'krojTekstu' => 'Source Sans Pro',
			'mapaWitryny' => 'tworzAuto',
			'mapaWitrynyStrony' => '',
			'menuAutomatycznie' => '1',
			'menuDodatkowe' => '0',
			'menuDodatkoweTytul' => 'Menu dodatkowe',
			'menuGlowne' => '1',
			'menuGlowneTytul' => 'Menu główne',
			'motyw' => 'blue',
			'naglowekFavikona' => '',
			'naglowekHaslo' => 'Kolejna witryna internetowa oparta na WizyTówce!',
			'naglowekLogo' => '',
			'naglowekNiestandardowy' => '',
			'obrazTla' => '',
			'obrazTlaPowtarzanie' => '0',
			'obrazTlaPozycja' => 'right top',
			'obrazTlaPrzyczepienie' => '0',
			'obszarBoczny' => '1',
			'obszarDodatkowy' => '0',
			'ochronaHtaccess' => '0',
			'odnosnikEdycjaStrony' => '1',

			'ostatniaAktualizacja' => time(),

			'panelAdminAdres' => 'admin.php',
			'panelAdminMenuTab' => '0',
			'personalizacja' => 'oryginalnyMotyw',

			'przerwaTechniczna' => (isset($ustawieniaInstalacji['przerwaTechniczna'])) ? '1' : '0',

			'przerwaTechnicznaTekst' => 'Przerwa techniczna',
			'przerwaTechnicznaTitle' => 'Przerwa techniczna',
			'przyjazneAdresy' => '0',
			'resetowanieHasla' => '1',
			'rozmiarMiniatur' => '200',
			'rozmiarTekstu' => '17',

			'sposobEdycjiTekstu' => $ustawieniaInstalacji['sposobEdycjiTekstu'],

			'sprawdzanieAktualizacjiWT' => time()+86400,
			'statystyki' => '1',
			'statystykiZewnetrzne' => 'nieDolaczaj',
			'statystykiZewnetrzneTylkoNiezalogowany' => '1',
			'statystykiZewnetrzneWylacz' => '0',
			'stopkaAutor' => '1',
			'stopkaDodatkowo' => '%aktualizacja%',
			'stopkaOstatniaAktualizacja' => 'strona',
			'stopkaPanelAdmin' => '1',
			'stopkaPanelAdminTekst' => 'Administracja',

			'stronaGlowna' => $stronaGlownaIdentyfikator,

			'szerokosc' => '800',
			'szkiceDomyslnie' => '0',
			'typografiaCudzyslowy' => '1',
			'typografiaInne' => '1',
			'typografiaPolpauza' => '0',
			'typografiaSpojniki' => '1',

			'tytul' => $ustawieniaInstalacji['tytul'],
			'ukladTytulu' => '%strona% — ' . $ustawieniaInstalacji['tytul'],
			'wersjaWT' => number_format(floatval(WERSJA),2),

			'wiadomoscEmailNiepomyslnie' => '',
			'wysokieZabezpieczenie' => '0',
			'wysylaniePlikowMaksymalnieBajtow' => '10485760',
			'wysylaniePlikowZawszeMaleLitery' => '1',
			'wyszukiwarkiOpis' => '',
			'wyszukiwarkiSlowaKluczowe' => ''

		);

		$stronaGlownaZawartosc = array(
			'tresc' => ($ustawieniaInstalacji['sposobEdycjiTekstu']=='jezykMarkdown') ? '**WizyTówka '. WERSJA . '** została zainstalowana i jest gotowa do pracy! Aby zarządzać swoją stroną internetową, zaloguj się do [panelu administracyjnego](' . $konfiguracja['panelAdminAdres'] . "), używając ustalonego wcześniej hasła.\n\n### Co mogę zrobić w panelu administracyjnym?\n\n1. Zmodyfikować stronę główną oraz stworzyć nowe strony lub ich szkice. Poszukaj w menu **Zawartość**\n2. Zmodyfikować nagłówek i stopkę, obszary boczny i dodatkowy oraz menu główne i dodatkowe. Więcej w menu **Elementy**.\n3. Spersonalizować kolorystykę i wygląd strony oraz dopasować informacje przekazywane wyszukiwarkom internetowym. Zobacz menu **Konfiguracja**.\n4. Przeglądać statystyki odwiedzin swojej strony. Poszukaj w **Narzędziach**." : '<p><strong>WizyTówka ' . WERSJA . '</strong> została zainstalowana i jest gotowa do pracy! Aby zarządzać swoją stroną internetową, zaloguj się do <a href="' . $konfiguracja['panelAdminAdres'] . '">panelu administracyjnego</a>, używając ustalonego wcześniej hasła.</p><h3>Co mogę zrobić w panelu administracyjnym?</h3><ol><li>Zmodyfikować stronę główną oraz stworzyć nowe strony lub ich szkice. Poszukaj w menu <strong>Zawartość</strong>.</li><li>Zmodyfikować nagłówek i stopkę, obszary boczny i dodatkowy oraz menu główne i dodatkowe. Więcej w menu <strong>Elementy</strong>.</li><li>Spersonalizować kolorystykę i wygląd strony oraz dopasować informacje przekazywane wyszukiwarkom internetowym. Zobacz menu <strong>Konfiguracja</strong>.</li><li>Przeglądać statystyki odwiedzin swojej strony. Poszukaj w <strong>Narzędziach</strong>.</li></ol>'
		);

		$stronaGlowna = array(

			'tytul' => $stronaGlownaTytul,
			'tytulMenu' => $stronaGlownaTytul,
			'tytulTitle' => $stronaGlownaTytul,

			'wyszukiwarkiOpis' => '',
			'wyszukiwarkiSlowaKluczowe' => '',
			'ostatniaAktualizacja' => time(),
			'typ' => '_zwyklaStrona'

		);

		// struktura folderów katalogu DANE -----------------------------

		$katalogi = array( DANE, DANE.'/motywy', DANE.'/pliki', DANE.'/pliki/miniatury', DANE.'/strony', DANE.'/szkice', DANE.'/typy', DANE.'/wtk' );

		foreach ( $katalogi as $katalog ) {
			if ( !mkdir($katalog) )
				trigger_error( 'Nie udało się stworzyć katalogu "' . $katalog . '".', E_USER_WARNING );
		}

		// tworzenie wymaganych plików ----------------------------------

		file_put_contents( DANE.'/motywy/PrzeczytajMnie.txt', $przeczytajMnieMotywy );
		file_put_contents( DANE.'/typy/PrzeczytajMnie.txt',   $przeczytajMnieTypy   );

		file_put_contents( DANE.'/strony/'.$stronaGlownaIdentyfikator.'.wtk', serialize($stronaGlowna)          );
		file_put_contents( DANE.'/strony/'.$stronaGlownaIdentyfikator.'.wtz', serialize($stronaGlownaZawartosc) );

		file_put_contents( DANE.'/wtk/konfiguracja.wtk', serialize($konfiguracja) );
		file_put_contents( DANE.'/wtk/elementy.wtk',     serialize($elementy)     );
		file_put_contents( DANE.'/wtk/statystyki.wtk',   serialize($statystyki)   );

		file_put_contents( DANE.'/index.html',     ' ' );
		file_put_contents( DANE.'/wtk/index.html', ' ' );

		file_put_contents( DANE.'/wtk/.htaccess',    'Deny from all' );
		file_put_contents( DANE.'/strony/.htaccess', 'Deny from all' );
		file_put_contents( DANE.'/szkice/.htaccess', 'Deny from all' );

		unlink('instalacja.wtk');

		// przesyłanie powitalnej wiadomości e-mail ---------------------

		pamiecPodreczna( $konfiguracja, 'konfiguracja' );  // dopisanie ustawień do pamięci podręcznej

		$przesylanieWiadomosci = wiadomosc( 'Witaj!' . "\n\n" . 'System WizyTówka został zainstalowany i jest gotowy do pracy. Twoja nowa witryna internetowa już działa!' . "\n\n" . odczytKonf('adres') . '/' . odczytKonf('panelAdminAdres') . "\n\n" . 'Aby nią zarządzać, udaj się do panelu administracyjnego, korzystając z powyższego odnośnika, a następnie zaloguj się.' . "\n\n" . 'Miłego dnia!', 'Instalacja' );


	// INSTALACJA =======================================================

	}

	if ( isset($kontynuuj) and $zapisPlikuTymczasowego )
		++$etapInstalacji;

}

$CHOWAC_SIE_KTO_MOZE = 1;
include (SYSTEM.'/admin/naglowek.php');
?>
<style scoped>
	td > span { float: right; }
	div.licencja { overflow-y: scroll; height: 200px; background: #F7F7F7; }
	label span { display: block; font-size: 0.75em; margin-left: 1.85em; opacity: 0.8; }
	td.podopcja { padding-left: 1.6em; }
	iframe.przesylanieAdresu { width: 1px; height: 1px; border: none; position: fixed; }
	p.komunikat:not(.zle) { display: none; }
</style>

<h2>Instalacja <?php echo ($etapInstalacji>0) ? ' &mdash; krok '.$etapInstalacji.'/5' : '' ?></h2>

<form method="post">

<?php
switch($etapInstalacji) {

	case 0:
?>

<h3>Witaj w WizyTówce!</h3>

<p>WizyTówka to system zarządzania treścią stworzony dla małych witryn internetowych. Idealnie nadaje się do strony małej firmy, portfolio początkującego twórcy lub do podobnych zastosowań.<br />
Masz przed oczami kreatora, który w kilku prostych krokach błyskawicznie przeprowadzi cię przez proces instalacji WizyTówki.</p>

<?php if ( PHP_VERSION_ID < 50307 ) { $blokadaInstalacji = true ?>
<p class="uwaga">Wersja PHP zainstalowana na tym serwerze jest zbyt przestarzała. Nie można zainstalować tutaj systemu WizyTówka. Skontaktuj się z administratorem serwera.</p>
<?php } elseif ( !is_writable('.') ) { $blokadaInstalacji = true ?>
<p class="uwaga">Brak uprawnień do zapisu w głównym katalogu. Nie można zainstalować tutaj systemu WizyTówka. Aby naprawić problem, nadaj katalogowi głównemu uprawnienia <code>775</code> lub <code>777</code> poleceniem <code>chmod</code>.</p>
<?php } ?>

<table>
	<tr> <td style="width: 36%;">Wersja PHP na serwerze:</td> <td><?php echo phpversion() ?> <span>(wymagane: 5.3.7)</span></td> </tr>
	<tr> <td>Oprogramowanie serwera:</td> <td title="<?php echo $_SERVER['SERVER_SOFTWARE'] ?>"><?php echo (strpos($_SERVER['SERVER_SOFTWARE'],' ')===false) ? $_SERVER['SERVER_SOFTWARE'] : substr( $_SERVER['SERVER_SOFTWARE'], 0, strpos($_SERVER['SERVER_SOFTWARE'],' ') ) ?> <span>(zalecane: Apache)</span></td> </tr>
	<tr> <td>Uprawnienia zapisu głównego folderu:</td> <td><?php echo (is_writable('.')) ? 'zapisywalny' : 'niezapisywalny' ?> <span>(wymagane)</span></td> </tr>
</table>

<?php
		break;

	case 1:
?>

<h3>Licencja</h3>

<div class="licencja">
<?php include(SYSTEM.'/admin/licencja.php') ?>
</div>

<table>
	<tr>
		<td><input type="checkbox" name="licencja" value="1" id="op11" /><label for="op11">Akceptuję warunki powyższej licencji</label></td>
	</tr>
	<tr>
		<td><input type="checkbox" name="przeslanieAdresu" value="1" id="op12" /><label for="op12">Zezwalam na przesłanie adresu strony autorowi WizyTówki<span>Adres tworzonej właśnie strony zostanie jednokrotnie przesłany autorowi systemu WizyTówka wyłącznie w celach statystycznych.</span></label></td>
	</tr>
</table>

<?php
		break;

	case 2:
?>

<h3>Informacje wstępne</h3>

<p>Na początek podaj kilka podstawowych informacji o witrynie oraz dane służące do logowania do panelu administracyjnego.</p>

<table>
	<tr> <td>Nazwa użytkownika:</td> <td><input required type="text" name="administratorNazwa" <?php echo (isset($ustawieniaInstalacji['autor'])) ? 'value="'.$ustawieniaInstalacji['administratorNazwa'].'"' : '' ?> /></td> </tr>
	<tr> <td>Hasło:</td> <td><input required type="password" name="administratorHaslo[1]" /></td> </tr>
	<tr> <td>Hasło ponownie:</td> <td><input required type="password" name="administratorHaslo[2]" /></td> </tr>
</table>

<table>
	<tr> <td>Imię i nazwisko:</td> <td><input required type="text" name="autor" <?php echo (isset($ustawieniaInstalacji['autor'])) ? 'value="'.$ustawieniaInstalacji['autor'].'"' : '' ?> /></td> </tr>
	<tr> <td>Tytuł witryny:</td> <td><input required type="text" name="tytul" <?php echo (isset($ustawieniaInstalacji['autor'])) ? 'value="'.$ustawieniaInstalacji['tytul'].'"' : '' ?> /></td> </tr>
	<tr> <td>Adres e-mail:</td> <td><input required type="email" name="email" <?php echo (isset($ustawieniaInstalacji['autor'])) ? 'value="'.$ustawieniaInstalacji['email'].'"' : '' ?> /></td> </tr>
	<tr> <td>Adres witryny:</td> <td><input required type="url" name="adres" value="<?php echo 'http://' . $_SERVER['SERVER_NAME'] . ( (!empty($_SERVER['SERVER_PORT']) and $_SERVER['SERVER_PORT'] != 80) ? ':'.$_SERVER['SERVER_PORT'] : '' ) . substr( $_SERVER['SCRIPT_NAME'], 0, strlen($_SERVER['SCRIPT_NAME'])-strlen(basename($_SERVER['SCRIPT_NAME']))-1 ) ?>" /></td> </tr>
</table>

<?php
		break;

	case 3:
?>

<h3>Sposób edycji tekstu</h3>

<p>Wskaż, w jaki sposób chcesz edytować zawartość stron. Uwaga!&nbsp;Tego ustawienia nie można zmienić po instalacji.</p>

<table>
	<tr>
		<td><input type="radio" name="sposobEdycjiTekstu" value="edytorWizualny" id="op11" checked /><label for="op11">Chcę korzystać z edytora wizualnego WYSIWYG <span>Opcja przeznaczona dla początkujących użytkowników. Edytor WYSIWYG umożliwa bardzo łatwą edycję tekstu. Wystarczy kliknięcie, by pogrubić lub powiększyć tekst albo stworzyć listę wypunktowaną.</span></label></td>
	</tr>
	<tr>
		<td><input type="radio" name="sposobEdycjiTekstu" value="jezykMarkdown" id="op12" /><label for="op12">Chcę korzystać z języka Markdown <span>Opcja przeznaczona dla średnio zaawansowanych użytkowników. Język Markdown pozwala przyjemne redagowanie tekstu i większą kontrolę oraz korzystanie ze znaczników HTML, wymaga jednak zapoznania się ze składnią.</span></label></td>
	</tr>
	<tr>
		<td><input type="radio" name="sposobEdycjiTekstu" value="" id="op13" /><label for="op13">Chcę tworzyć kod HTML samodzielnie <span>Opcja przeznaczona wyłącznie dla ekspertów. Edytor wizualny WYSIWYG oraz język Markdown będą niedostępne.</span></label></td>
	</tr>
</table>

<h3>Przerwa techniczna</h3>

<table>
	<tr>
		<td><input type="checkbox" name="przerwaTechniczna" value="1" id="op21" checked /><label for="op21">Włącz tryb przerwy technicznej <span>Gdy tryb przerwy technicznej jest włączony, tylko autor witryny ma do niej dostęp. Zaraz po zainstalowaniu WizyTówki twoja witryna nie będzie gotowa do odwiedzania przez czytelników, warto więc tę opcję pozostawić włączoną.</span></label></td>
	</tr>
</table>

<?php
		break;

	case 4:
?>

<h3>Opcje zaawansowane</h3>

<p>Poniższe opcje są przeznaczone wyłącznie dla ekspertów. Jeśli nie chcesz ich zmieniać, po prostu kontynuuj.</p>

<table>
	<tr>
		<td><input type="checkbox" name="edytorPlikow" value="1" id="op11" /><label for="op11">Umożliwiaj dostęp do edytora plików <span>Edytor plików pozwala na wygodną edycję plików CSS, PHP i TXT bez użycia klienta FTP, bezpośrednio w panelu administracyjnym. Dzięki niemu można modyfikować wbudowane motywy.</span></label></td>
	</tr>
	<tr>
		<td><input type="checkbox" name="dziennikBledow" value="1" id="op12" /><label for="op12">Umożliwiaj dostęp do dziennika błędów <span>Dziennik błędów przechowuje historię wszelkich błędów, jakie wystąpiły podczas korzystania z WizyTówki.</span></label></td>
	</tr>
	<tr>
		<td><input type="checkbox" name="bledyKrytyczne" value="1" id="op13" /><label for="op13">Włącz wyświetlanie błędów krytycznych <span>Jeżeli ta opcja zostanie włączona, każdy błąd WizyTówki spowoduje wyświetlenie komunikatu i przerwanie ładowania strony. Niezależnie od tego ustawienia wszystkie błędy są zapisywane w dzienniku błędów.</span></label></td>
	</tr>
</table>

<?php
		break;

	case 5:
?>

<h3>Udało się!</h3>

<p>System WizyTówka został pomyślnie zainstalowany i jest gotowy do pracy. Możesz zarządzać swoją witryną internetową. Aby przejść do panelu administracyjnego, użyj poniższego odnośnika.</p>

<p><strong><a href="<?php echo odczytKonf('panelAdminAdres') ?>"><?php echo odczytKonf('adres'), '/', odczytKonf('panelAdminAdres') ?></a></strong></p>

<?php if ( odczytKonf('przerwaTechniczna') ) { ?>
<p class="informacja">Podczas instalacji włączono tryb przerwy technicznej. Obecnie tylko ty masz dostęp do tej witryny. Inni odwiedzający zobaczą planszę kontrolną.</p>
<?php } ?>

<?php if ( !$przesylanieWiadomosci ) { ?>
<p class="uwaga">Nie udało się przesłać na podany adres e-mail wiadomości powitalnej. Może to oznaczać, że niektóre funkcje WizyTówki związane z pocztą e-mail nie będą działać poprawnie.</p>
<?php } ?>

<?php if ( strpos( WERSJA_DATA, 'XX') === false ) { ?>
<iframe class="przesylanieAdresu" src="http://wizytowka.tomaszgasior.kao.pl/instalacja?adres=<?php echo odczytKonf('adres') ?>&hash=<?php echo sha1( odczytKonf('adres') ) ?>"></iframe>
<?php } ?>

<?php
		break;

}
?>

<input type="hidden" name="etapInstalacji" value="<?php echo $etapInstalacji ?>" />
<p class="przyciskWysylania"><input type="submit" <?php wylaczElement(isset($blokadaInstalacji), true) ?> value="<?php echo ($etapInstalacji==5) ? 'Zakończ' : 'Kontynuuj &raquo;' ?>" /></p>

</form>

<?php
include (SYSTEM.'/admin/stopka.php');