<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( empty($_POST['typ']) )
		komunikat('zle.Nie wybrano typu zawartości strony. Strona nie została utworzona.');
	elseif ( empty($_POST['tytul']) )
		komunikat('zle.Nie podano tytułu strony. Strona nie została utworzona.');

	else {

		if ( empty($_POST['identyfikator']) )
			$_POST['identyfikator'] = $_POST['tytul'];
		$_POST['identyfikator'] = prostaNazwa($_POST['identyfikator']);

		if ( !sprawdzNazwe($_POST['identyfikator']) )
			komunikat('zle.Identyfikator <strong>' . $_POST['identyfikator'] . '</strong> jest niepoprawny. Strona nie została utworzona.');

		elseif ( odczytStrony($_POST['identyfikator']) != false or odczytStrony($_POST['identyfikator'],true) != false )
			komunikat('zle.Strona z identyfikatorem <strong>' . $_POST['identyfikator'] . '</strong> już istnieje. Wybierz inny identyfikator.');

		else {

			$szkic = ( isset($_POST['szkic']) ) ? true : false;

			$identyfikator = $_POST['identyfikator'];

			// te elementy nie są potrzebne w pliku WTK strony
			unset($_POST['szkic']);
			unset($_POST['identyfikator']);

			// te elementy musimy uzupełnić....
			$_POST['tytulMenu']                 = $_POST['tytul'];
			$_POST['tytulTitle']                = $_POST['tytul'];
			$_POST['wyszukiwarkiOpis']          = '';
			$_POST['wyszukiwarkiSlowaKluczowe'] = '';
			$_POST['ostatniaAktualizacja']      = time();

			// ustawienia domyślne i zawartość domyślna typu zawartości strony

			$odczytTypu = odczytTypuMotywu( 'typy', $_POST['typ'] );

			$ustawieniaStrony = ( isset($odczytTypu['ustawieniaDomyslne']) ) ? array_replace( bezpiecznyHTML($_POST), $odczytTypu['ustawieniaDomyslne'] ) : bezpiecznyHTML($_POST);
			$zawartoscStrony  = ( isset($odczytTypu['zawartoscDomyslna']) ) ? $odczytTypu['zawartoscDomyslna'] : array();

			// tworzenie plików WTK (ustawienia) i WTZ (zawartość) strony

			file_put_contents ( DANE . (($szkic) ? '/szkice/' : '/strony/') . $identyfikator . '.wtk', serialize($ustawieniaStrony) );
			file_put_contents ( DANE . (($szkic) ? '/szkice/' : '/strony/') . $identyfikator . '.wtz', serialize($zawartoscStrony)  );

			// aktualizacja mapy witryny
			generujMapeWitryny();

			// aktualizacja menu głównego i dodatkowego
			aktualizujMenuGlowneDodatkowe( $identyfikator );

			przekierowanie( '?id=strony' . (($szkic) ? '&szkic&utworzonoSzkic' : '&utworzonoStrone') );

		}

	}

}

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Utwórz stronę</h2>

<form method="post">

<h3>Ustawienia ogólne</h3>

<table>
	<tr> <td>Tytuł strony:</td> <td><input type="text" name="tytul" required /></td> </tr>
	<tr> <td>Identyfikator strony:</td> <td><input type="text" name="identyfikator" /></td> </tr>
	<tr>
		<td colspan="2"><input type="checkbox" name="szkic" value="1" <?php zaznaczCheckbox(odczytKonf('szkiceDomyslnie')) ?> <?php zaznaczCheckbox( isset($_GET['szkic']) ) ?> id="op11" /><label for="op11">Zapisz tę stronę jako szkic (nie publikuj natychmiast)</label></td>
	</tr>
</table>

<p class="informacja">Identyfikator strony to uproszczona wersja tytułu strony, która znajdzie się w pasku adresu przeglądarki. Nie musisz go uzupełniać, zostanie wprowadzony automatycznie.</p>

<h3>Typ zawartości strony</h3>

<ul class="listaKafelkowa">
<?php
foreach ( zainstalowaneTypyMotywy('typy') as $identyfikatorTypu ) {
	$odczytTypu = odczytTypuMotywu ( 'typy', $identyfikatorTypu );
?>
	<li>
		<span>
			<input type="radio" name="typ" value="<?php echo $identyfikatorTypu ?>" <?php zaznaczCheckbox( $identyfikatorTypu, odczytKonf('domyslnyTypWPaneluAdmin') ) ?> id="op<?php echo $identyfikatorTypu ?>" />
			<label for="op<?php echo $identyfikatorTypu ?>" title="<?php echo $odczytTypu['informacje']['nazwa'] ?>"><?php echo $odczytTypu['informacje']['nazwa'] ?></label>
		</span>
		<?php if ( odczytKonf('edytorPlikow') and odczytKonf('edytorPlikow') != 2 ) { ?>
		<span class="opis"><?php echo ($odczytTypu['wlasny']) ? 'Własny' : 'Domyślny' ?></span> |
		<a href="?id=edycjaTypuMotywu&element=typy&b=<?php echo $identyfikatorTypu ?>">Edytuj</a>
		<?php } ?>
	</li>
<?php
}
?>
</ul>

<p class="przyciskWysylania"><input type="submit" value="Utwórz stronę" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');