<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje używane w witrynie

// zawartość znacznika <HEAD>

function wtHead() {

	$odczytStrony = pamiecPodreczna('odczytStrony');
	$odczytMotywu = pamiecPodreczna('odczytMotywu');
	$odczytTypu   = pamiecPodreczna('odczytTypu');

	// html5Shiv dla IE
	if ( odczytKonf('ieHTML5Shiv') )
		echo '<!--[if lt IE 9]><script src="http://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.2/html5shiv.min.js"></script><![endif]-->', "\n";

	// podstawowe informacje
	echo '<meta charset="UTF-8">', "\n";
	echo '<meta name="generator" content="WizyTówka - http://wizytowka.tomaszgasior.kao.pl">', "\n";

	// indeksowanie witryny w wyszukiwarkach
	if ( odczytKonf('indeksowanie') != null )
		echo '<meta name="robots" content="', odczytKonf('indeksowanie'), '">', "\n";

	// informacja o autorze
	if ( odczytKonf('autor') != null )
		echo '<meta name="author" content="', odczytKonf('autor'), '">', "\n";

	// indywidualne oraz wspólne informacje dla wyszukiwarek - description
	if ( odczytKonf('wyszukiwarkiOpis') != null or $odczytStrony['wyszukiwarkiOpis'] != null ) {
		echo '<meta name="description" content="';
		echo ( empty($odczytStrony['wyszukiwarkiOpis']) ) ? tekst( odczytKonf('wyszukiwarkiOpis'), null, true ) : tekst( $odczytStrony['wyszukiwarkiOpis'], null, true );
		echo'">' . "\n";
	}

	// indywidualne oraz wspólne informacje dla wyszukiwarek - keywords
	if ( odczytKonf('wyszukiwarkiSlowaKluczowe') != null or $odczytStrony['wyszukiwarkiSlowaKluczowe'] != null ) {
		echo '<meta name="keywords" content="' . tekst( odczytKonf('wyszukiwarkiSlowaKluczowe'), null, true );
		if ( !empty($odczytStrony['wyszukiwarkiSlowaKluczowe']) ) {
			if ( odczytKonf('wyszukiwarkiSlowaKluczowe') != null )   // pozbywamy się zbędnego przecinka
				echo ', ';
			echo tekst( $odczytStrony['wyszukiwarkiSlowaKluczowe'], null, true );
		}
		echo'">', "\n";
	}

	// informacja o responsywności motywu
	if ( $odczytMotywu['informacje']['responsywnosc'] )
		echo '<meta name="viewport" content="width=device-width, initial-scale=1">' . "\n";

	// znacznik TITLE, tytuł w przeglądarce
	if ( $odczytStrony['tytulTitle'] == null )
		$odczytStrony['tytulTitle'] = 'Błąd 404';
	echo '<title>', tekst( zmienne( odczytKonf('ukladTytulu'), array( 'strona' => $odczytStrony['tytulTitle'] ) ) ), '</title>', "\n";

	// odnośnik do stylu CSS
	echo '<link rel="stylesheet" href="', odczytKonf('adres'), '/', (($odczytMotywu['wlasny']) ? DANE : SYSTEM), '/motywy/', odczytKonf('motyw'), '/styl.css">', "\n";

	// odnośnik do dodatkowego stylu CSS
	if ( odczytKonf('dodatkowyStylWWitrynie') )
		echo '<link rel="stylesheet" href="', odczytKonf('adres'), '/', DANE, '/', odczytKonf('dodatkowyStylWWitrynie'), '">', "\n";

	// własna favikona
	if ( odczytKonf('naglowekFavikona') != null )
		echo '<link rel="icon" href="', odczytKonf('adres'), '/', odczytKonf('adresPlikow'), '/', odczytKonf('naglowekFavikona'), '">', "\n";

	// a teraz czas na personalizację wizualną motywu... 3... 2... 1... START!

	if ( odczytKonf('personalizacja') != 'oryginalnyMotyw' ) {

		$persUzytk = odczytKonf('personalizacja');
		$persMotyw = $odczytMotywu['personalizacja'];

		echo '<style>', "\n", 'body { ';

		if ( $persUzytk == 'tekst' or $persUzytk == 'zmianyUzytkownika' ) {

			if ( $persMotyw['krojTekstu'] ) {
				echo 'font-family: "', odczytKonf('krojTekstu'), '", sans-serif; ';
				$spersonalizowanyKrojGoogleFonts = odczytKonf('krojTekstu');
			}

			if ( $persMotyw['rozmiarTekstu'] )
				echo 'font-size: ', odczytKonf('rozmiarTekstu'), 'px; ';

		}

		if ( ($persUzytk == 'szerokosc' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['szerokosc'] )
			echo 'max-width: ', odczytKonf('szerokosc'), 'px; ';

		if ( ($persUzytk == 'tlo' or $persUzytk == 'kolorystyka' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['kolorTla'] )
			echo 'background: ', odczytKonf('kolorTla'), '; ';

		if ( ($persUzytk == 'tlo' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['obrazTla'] and odczytKonf('obrazTla') != null ) {

			echo 'background-image: url(', odczytKonf('adres'), '/', odczytKonf('adresPlikow'), '/', odczytKonf('obrazTla'), '); ';

			echo 'background-position: ', odczytKonf('obrazTlaPozycja'), '; ';
			echo 'background-repeat: ', ((odczytKonf('obrazTlaPowtarzanie')) ? 'repeat' : 'no-repeat'), '; ';
			echo 'background-attachment: ', ((odczytKonf('obrazTlaPrzyczepienie')) ? 'fixed' : 'scroll'),'; ';

		}

		if ( ($persUzytk == 'kolorystyka' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['kolorTekstu'] )
			echo 'color: ', odczytKonf('kolorTekstu'), '; ';

		echo '}', "\n";

		if ( ($persUzytk == 'kolorystyka' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['koloryDodatkowe'] ) {
			echo zmienne( $odczytMotywu['koloryDodatkowe']['1_CSS'], array( 'kolor' => odczytKonf('kolorDodatkowy1') ) ) . "\n";
			echo zmienne( $odczytMotywu['koloryDodatkowe']['2_CSS'], array( 'kolor' => odczytKonf('kolorDodatkowy2') ) ) . "\n";
		}

		echo '</style>' . "\n";

	}    // koniec personalizacji wizualnej motywu

	// odnośnik do kroju tekstu z Google Fonts
	if ( $odczytMotywu['informacje']['krojGoogleFonts'] or isset($spersonalizowanyKrojGoogleFonts) ) {
		if ( isset($spersonalizowanyKrojGoogleFonts) )
			$kroj = $spersonalizowanyKrojGoogleFonts;
		else
			$kroj = $odczytMotywu['informacje']['krojGoogleFonts'];
		echo '<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=', str_replace(' ','+',$kroj), ':400,700,400italic&amp;subset=latin-ext">', "\n";
	}

	// kod typów zawartości stron dla znacznika HEAD
	if ( $odczytTypu['informacje']['znacznikHEAD'] ) {
		// dla kodu typów zawartości stron:
		$wtUstawieniaStrony = &$odczytStrony;
		include( (($odczytTypu['wlasny']) ? DANE : SYSTEM) . '/typy/' . $odczytStrony['typ'] . '/head.php' );
	}

	// kod statystyk zewnętrznych
	if ( odczytKonf('statystykiZewnetrzne') == 'head' ) {
		$odczytElementow = pamiecPodreczna('odczytElementow');
		if ( !odczytKonf('statystykiZewnetrzneTylkoNiezalogowany') or (odczytKonf('statystykiZewnetrzneTylkoNiezalogowany') and !zalogowany()) )
			echo $odczytElementow['statystykiZewnetrzne'], "\n";
	}

}

// nagłówek witryny

function wtNaglowek() {

	$odczytMotywu = pamiecPodreczna('odczytMotywu');

	$tekstNaglowka = (!odczytKonf('naglowekNiestandardowy')) ? tekst(odczytKonf('tytul')) : tekst(ograniczonyHTML(odczytKonf('naglowekNiestandardowy')));

	echo '<h1><a href="', odczytKonf('adres'), '">';

	if ( odczytKonf('naglowekLogo') != null and $odczytMotywu['mozliwosci']['logo'] == true )
		echo '<img src="', odczytKonf('adres'), '/', odczytKonf('adresPlikow'), '/', odczytKonf('naglowekLogo'), '" alt="', $tekstNaglowka, '">';
	else
		echo $tekstNaglowka;

	echo '</a></h1>';

	if ( odczytKonf('naglowekHaslo') != null and $odczytMotywu['mozliwosci']['haslo'] == true )
		echo "\n", '<p>', tekst( odczytKonf('naglowekHaslo') ), '</p>';

}

// menu główne/dodatkowe

function wtMenu ( $menu = 1, $identyfikatory = false, $tytul = true, $noweOkno = false ) {

	if ( !wtInfo( ($menu == 2) ? 'menuDodatkowe' : 'menuGlowne' ) )
		return null;

	$odczytElementow = pamiecPodreczna('odczytElementow');
	$elementyMenu    = ($menu == 2) ? $odczytElementow['menu']['menuDodatkowe'] : $odczytElementow['menu']['menuGlowne'];
	$menuJestPuste   = true;

	if ( $tytul )
		echo '<h2>', tekst( odczytKonf( ($menu == 2) ? 'menuDodatkoweTytul' : 'menuGlowneTytul' ) ), '</h2>', "\n";

	echo '<ul>', "\n";

	foreach ( $elementyMenu as $identyfikatorStrony ) {

		if ( $identyfikatorStrony == '.' )
			continue;    // kropka tu pusty element menu

		else {

			unset($menuJestPuste);

			echo '<li><a href="', wtOdnosnik($identyfikatorStrony), '"';
			if ( $identyfikatorStrony == IDENTYFIKATOR )
				echo ' class="wtAktualnaStronaMenu"';
			if ( $identyfikatory )
				echo ' id="', $identyfikatorStrony, '"';
			if ( $noweOkno )
				echo ' target="_blank"';
			echo '>', tekst($odczytElementow['tytulyStronMenu'][$identyfikatorStrony]), '</a></li>', "\n";

		}

	}

	if ( isset($menuJestPuste) )
		echo '<li>Menu jest puste.</li>';

	echo '</ul>', "\n";

}

// obszar boczny/dodatkowy

function wtObszar ( $obszar = 1 ) {

	if ( !wtInfo( ($obszar == 2) ? 'obszarDodatkowy' : 'obszarBoczny' ) )
		return null;

	$odczytElementow = pamiecPodreczna('odczytElementow');
	$obszar = ($obszar == 2) ? $odczytElementow['obszary']['obszarDodatkowy'] : $odczytElementow['obszary']['obszarBoczny'];

	echo ( isset($obszar[10]) ) ? tekst( $obszar, true ) : '<p>Obszar jest pusty.</p>';

}

// stopka witryny

function wtStopka ( $informacjeOdMotywu = null ) {

	$elementyStopki = array();

	if ( odczytKonf('stopkaAutor') )
		$elementyStopki[] = '&copy; ' . ((odczytKonf('autor') == null) ? tekst(odczytKonf('tytul')) : tekst(odczytKonf('autor'))) . ' ' . ((date( 'Y', odczytKonf('instalacja') ) < date('Y')) ? date( 'Y', odczytKonf('instalacja') ) . '-' . date('Y') : date('Y') );

	if ( !empty($informacjeOdMotywu) )
		$elementyStopki[] = tekst($informacjeOdMotywu);

	if ( odczytKonf('stopkaDodatkowo') != null ) {

		if ( odczytKonf('stopkaOstatniaAktualizacja') == 'strona' ) {
			$odczytStrony = pamiecPodreczna('odczytStrony');
			$ostatniaAktualizacja = (!$odczytStrony) ? time() : $odczytStrony['ostatniaAktualizacja'];
									// w razie błędu wyświetlimy aktualną datę ;-)
		}
		else
			$ostatniaAktualizacja = odczytKonf('ostatniaAktualizacja');
		$ostatniaAktualizacja = '<time datetime="' . pokazDate($ostatniaAktualizacja,'%Y-%m-%d %H:%M') . '">' . pokazDate($ostatniaAktualizacja) . '</time>';

		if ( odczytKonf('statystyki') )
			$odczytStatystyk = pamiecPodreczna('odczytStatystyk');
		$licznikOdwiedzin = (isset($odczytStatystyk)) ? $odczytStatystyk['suma'] : '?';
							// pytajnik, gdy statystyki są wyłączone

		$zmienneStopki = array(
			'aktualizacja' => $ostatniaAktualizacja,
			'licznik' => $licznikOdwiedzin,
			'czasGenerowania' => wtInfo('czasGenerowania')
		);

		foreach ( explode('\n',odczytKonf('stopkaDodatkowo')) as $elementDodatkowy )
			$elementyStopki[] = zmienne( tekst( ograniczonyHTML($elementDodatkowy) ), $zmienneStopki );
			// elementy stopki są rozdzielone znakami \n (analogia do zapisu \n w cudzysłowach)

	}

	if ( odczytKonf('stopkaPanelAdmin') )
		$elementyStopki[] = '<a href="' . odczytKonf('panelAdminAdres') . '">' . odczytKonf('stopkaPanelAdminTekst') . '</a>';

	$elementyStopki[] = '<a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank" title="Ta witryna jest oparta na systemie zarządzania treścią WizyTówka.">WizyTówka</a>';
	// usunięcie tego fragmentu kodu jest równoznaczne ze złamaniem licencji WizyTówki!

	if ( odczytKonf('statystykiZewnetrzne') == 'stopkaSeparator' and
	  	(!odczytKonf('statystykiZewnetrzneTylkoNiezalogowany') or !zalogowany()) ) {
		$odczytElementow = pamiecPodreczna('odczytElementow');
		$elementyStopki[] =  $odczytElementow['statystykiZewnetrzne'];
	}

	echo '<ul>', "\n";
	foreach ( $elementyStopki as $element )
		echo '<li>', $element, '</li>', "\n";
	echo '</ul>', "\n";

	if ( odczytKonf('statystykiZewnetrzne') == 'stopka' and
	  	(!odczytKonf('statystykiZewnetrzneTylkoNiezalogowany') or !zalogowany()) ) {
		$odczytElementow = pamiecPodreczna('odczytElementow');
		echo $odczytElementow['statystykiZewnetrzne'], "\n";
	}

	// Patrząc na powyższe instrukcje, możesz się zastanawiać, dlaczego osobno wyświetlam kod statystyk
	// zewnętrznych dla opcji 'stopka', a osobno dla opcji 'stopkaSeparator'. Opcja 'stopka' przeznaczona
	// jest dla dostawców statystyk, który nie umieszczają żadnego symbolu graficznego na stronie
	// użytkownika (np. Google Analytics). Wtedy kod zostanie dodany poza <ul>-em stopki. Jeżeli jednak
	// dostawca statystyk umieszcza w miejscu kodu swój symbol graficzny (np. Stat4u), warto użyć opcji
	// 'stopkaSeparator'.  Owy symbol pojawi się jako ostatni element stopki, po separatorze.

}

// tytuł aktualnej strony

function wtTytulStrony() {

	$odczytStrony = pamiecPodreczna('odczytStrony');

	echo '<h2>';

	if ( !$odczytStrony )
		echo 'Strona nie istnieje';

	else {

		echo '<a href="', wtOdnosnik(), '">', tekst($odczytStrony['tytul']), '</a>';

		if ( zalogowany() and odczytKonf('odnosnikEdycjaStrony') and $odczytStrony != false )
			echo ' <a class="wtEdycjaStrony" href="', odczytKonf('panelAdminAdres'), '?id=edycjaStrony&amp;b=', IDENTYFIKATOR, ((isset($_GET['podgladSzkicu'])) ? '&amp;szkic' : ''), '"><span>(</span>edytuj&nbsp;', ((isset($_GET['podgladSzkicu'])) ? 'szkic' : 'stronę'), '<span>)</span></a>';

	}

	echo '</h2>';

}

// zawartość aktualnej strony

function wtZawartosc() {

	$odczytStrony     = pamiecPodreczna('odczytStrony');
	$odczytZawartosci = pamiecPodreczna('odczytZawartosci');
	$odczytTypu       = pamiecPodreczna('odczytTypu');

	if ( $odczytStrony != false and $odczytTypu != false ) {

		// dla kodu typów zawartości stron:
		$wtUstawieniaStrony = &$odczytStrony;
		$wtZawartoscStrony  = &$odczytZawartosci;

		// kod typów zawartości stron
		include( (($odczytTypu['wlasny']) ? DANE : SYSTEM) . '/typy/' . $odczytStrony['typ'] . '/witryna.php' );

	}

	else
		include( SYSTEM . '/404.php' );

}

// odnośnik do witryny, strony lub elementu strony

function wtOdnosnik ( $identyfikator = null, $id2 = null ) {

	if ( isset($_GET['podgladSzkicu']) and empty($identyfikator) and zalogowany() )
		return 'javascript:alert(\'To jest szkic strony widoczny tylko dla autora.\nOpublikuj tę stronę, aby odnośniki zadziałały.\')';
		// jeżeli wyświetlono podgląd szkicu strony, odnośniki do niej i do jej elementów nie będą funkcjonować

	$adres = odczytKonf('adres') . ((odczytKonf('przyjazneAdresy')) ? '/' : '/?id=');

	if ( !empty($identyfikator) )
		$adres .= $identyfikator;
	else
		$adres .= IDENTYFIKATOR;

	if ( $id2 !== null )
		$adres .= ((odczytKonf('przyjazneAdresy')) ? '?b=' : '&amp;b=') . $id2;

	return $adres;

}

// funkcja informacyjna

function wtInfo ( $czegoSzukamy ) {

	switch ($czegoSzukamy) {

		case 'menuGlowne':
		case 'menuDodatkowe':
		case 'obszarBoczny':
		case 'obszarDodatkowy':
			$odczytMotywu = pamiecPodreczna('odczytMotywu');
			return ( odczytKonf($czegoSzukamy) and $odczytMotywu['mozliwosci'][$czegoSzukamy] ) ? true : false;
			break;

		case 'stronaGlowna':
			return ( IDENTYFIKATOR == odczytKonf('stronaGlowna') ) ? true : false;
			break;

		case 'typZawartosci':
			$odczytStrony = pamiecPodreczna('odczytStrony');
			return $odczytStrony['typ'];
			break;

		case 'ostatniaAktualizacja':
			$odczytStrony = pamiecPodreczna('odczytStrony');
			return pokazDate( $odczytStrony['ostatniaAktualizacja'] );
			break;

		case 'tytulStrony':
			$odczytStrony = pamiecPodreczna('odczytStrony');
			return tekst( $odczytStrony['tytul'] );
			break;

		case 'tytulWitryny':
			return ( odczytKonf('naglowekNiestandardowy') ) ? tekst(ograniczonyHTML(odczytKonf('naglowekNiestandardowy'))) : tekst(odczytKonf('tytul'));
			break;

		case 'hasloWitryny':
			return tekst( odczytKonf('naglowekHaslo') );
			break;

		case 'czasGenerowania':
			return microtime(1) - CZAS_GEN;
			break;

	}

}