<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( empty($wtZawartoscStrony) ) {
?>
<p class="wtKomunikat">Do tej galerii zdjęć nie dodano jeszcze żadnego obrazu.</p>
<?php
}

else {

	if ( $wtUstawieniaStrony['sortowanie'] == 'losowo' )
		shuffle( $wtZawartoscStrony );
	else
		$wtZawartoscStrony = sortowanie( $wtZawartoscStrony, $wtUstawieniaStrony['sortowanie'], $wtUstawieniaStrony['sortowanieOdwrotnie'] );

	$skryptGalleria = ($wtUstawieniaStrony['wyswietlanie'] == 'galleria') ? true : false;

	if ( $skryptGalleria ) {
?>
<noscript><p class="wtKomunikat">Galeria zdjęć wymaga włączenia języka JavaScript w przeglądarce.</p></noscript>
<?php
	}
?>

<ul class="wtGaleriaZdjec">

<?php
	foreach ( $wtZawartoscStrony as $zdjecie ) {

		if ( !file_exists( odczytKonf('adresPlikow') . '/' . $zdjecie['nazwaPliku'] ) )
			continue;

		$adresZdjecia     = odczytKonf('adres') . '/' . odczytKonf('adresPlikow') . '/' . $zdjecie['nazwaPliku'];
		$adresMiniatury   = ( file_exists( odczytKonf('adresPlikow') . '/miniatury/' . $zdjecie['nazwaPliku'] . '_min' ) ) ? odczytKonf('adres') . '/' . odczytKonf('adresPlikow') . '/miniatury/' . $zdjecie['nazwaPliku'] . '_min' : $adresZdjecia;
		$zdjecie['tytul'] = str_replace( '"', '&quot;', tekst($zdjecie['tytul']) );

		if ( $skryptGalleria and !empty($zdjecie['opis']) )
			$zdjecie['opis'] = str_replace( '"', '&ouot;', ograniczonyHTML(tekst($zdjecie['opis'])) );
			// atrybut znacznika HTML nie może zawierać znaku ", gdyż ten znak otacza wartość atrybutu

		echo '<li>';

		if ( $skryptGalleria )
			echo '<a href="', $adresZdjecia, '"> <img data-title="', $zdjecie['tytul'], '" ', ((!empty($zdjecie['opis'])) ? 'data-description="' . $zdjecie['opis'] . '" ' : ' '), 'src="', $adresMiniatury, '"> </a>';
			// ze względu na wymagania skryptu Galleria nie mogę określić alt="" dla <img>,
			// gdyż "alt" nadpisuje opis zdjęcia z "data-description", a opis może być pusty
		else
			echo '<span> <a data-lightbox="galeriaZdjec" title="', $zdjecie['tytul'], '" href="', $adresZdjecia, '"> <img src="', $adresMiniatury, '" alt="', $zdjecie['tytul'], '"> </a> </span>';
			// <span> ze względu na konieczność poprawnego ostylizowania obrazków i wyśrodkowania w pionie

		echo '</li>', "\n";


	}
?>

</ul>

<?php if ( $skryptGalleria ) { ?>
<script>
Galleria.configure({
	autoplay      : <?php echo ($wtUstawieniaStrony['galleria']['pokazSlajdow']) ? $wtUstawieniaStrony['galleria']['pokazSlajdowCzas'] . '000' : 'false' ?>,
	height        : <?php echo $wtUstawieniaStrony['galleria']['wysokosc'] ?>,
	transition    : '<?php echo $wtUstawieniaStrony['galleria']['animacja'] ?>',
	_toggleInfo   : <?php echo ($wtUstawieniaStrony['galleria']['opis'] == 'zawsze') ? 'false' : 'true' ?>,
	showInfo      : <?php echo ($wtUstawieniaStrony['galleria']['opis'] == 'nigdy') ? 'false' : 'true' ?>,
	imageCrop     : <?php echo ($wtUstawieniaStrony['galleria']['przycinanie'] == '.') ? 'false' : '\''.$wtUstawieniaStrony['galleria']['przycinanie'].'\'' ?>,
	maxScaleRatio : <?php echo ($wtUstawieniaStrony['galleria']['przycinanie'] == '.' or $wtUstawieniaStrony['galleria']['przycinanie'] == 'landscape' or $wtUstawieniaStrony['galleria']['przycinanie'] == 'portrait') ? '1' : 'undefined' ?>,
	showCounter   : <?php echo ($wtUstawieniaStrony['licznik']) ? 'true' : 'false' ?>,
	pauseOnInteraction: <?php echo ($wtUstawieniaStrony['galleria']['pokazSlajdowInterakcja']) ? 'true' : 'false' ?>,
	transitionSpeed: 650, debug: false
});
Galleria.run('.wtGaleriaZdjec');
</script>
<?php } else { ?>
<script src="<?php echo odczytKonf('adres'), '/', ( strpos( __FILE__, '/'.DANE.'/typy/' ) ) ? DANE : SYSTEM ?>/typy/galeriaZdjec/lightbox/lightbox.min.js"></script>
<script>
lightbox.option({
	albumLabel          : "%1 / %2",
	fadeDuration        : 300,
	fitImagesInViewport : true,
	showImageNumberLabel: <?php echo ($wtUstawieniaStrony['licznik']) ? 'true' : 'false' ?>
})
</script>
<?php } ?>

<?php

}